Subject: [Ltru] [psg.com #985] Specify case rules for canonical tags

From: "Randy Presuhn" <[email-masked]>
Date: Mon, 16 May 2005 23:43:25 -0700

Hi -

> Comment registry-cowan-04 in message
> http://www1.ietf.org/mail-archive/web/ltru/current/msg00607.html
> reads:
> Proposal registry-cowan-04: Specify case rules for canonical tags
>
> CURRENT:  Canonicalizing a tag does not affect the case of the letters
> in it.
>
> PROPOSED: Canonicalizing a tag adjusts the case of the letters as
> follows:
>
> 1) The first letter of a script subtag is upper case; 2) Both
> letters of an alpha region subtag are upper case; 3) All other
> letters are lower case.
>
> RATIONALE:  These are the de facto canonicalization rules for ISO 639,
> ISO 3166, and ISO 15924 codes. Since we have not had canonical tags
> before, there is no previous practice to contradict.  The requirement
> for case-insensitive matching may be eliminated if all tags being
> matched
> are known to be canonical.

There was some discussion of this proposal, but it wasn't clear (to me at
least) whether there was agreement at the end.  Consequently, I haven't
closed this item.  Would we be content to wrap this this up as a "reject",
or does it need further discussion?

Randy, ltru co-chair

_______________________________________________
Ltru mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ltru

---

From: Frank Ellermann <[email-masked]>
Date: Tue, 17 May 2005 10:34:19 +0200

Randy Presuhn wrote:

> wrap this this up as a "reject"

Yes.  In my quick and dirty test of Doug's lstreg.txt I used
something like toupper() without problems - I only forgot to
"recanonicalize" the Suppress-Script output posted here.  Bye.

---

From: John Cowan <[email-masked]>
Date: Tue, 17 May 2005 08:20:52 -0400

> or does it need further discussion?

I continue to believe in case-canonicalization.  The whole point of canonicalizing
anything, including language tags, is to squeeze out the maximum amount of
non-semantic variability.  Case is just as non-semantic as extension ordering,
there is a well-established practice based on the styles used in the sources,
and the rule is easy to state and to implement: uppercase all non-initial
two-character tags (outside extensions and privates), titlecase all non-initial
four-character tags (ditto), lowercase everything else.

This would not affect mere well-formedness or validity, only canonicality.

-- 
Henry S. Thompson said, / "Syntactic, structural,               John Cowan
Value constraints we / Express on the fly."     [email-masked]
Simon St. Laurent: "Your / Incomprehensible     http://www.reutershealth.com
Abracadabralike / schemas must die!"            http://www.ccil.org/~cowan

---

From: "Randy Presuhn" <[email-masked]>
Date: Tue, 17 May 2005 10:32:44 -0700

Hi -

> From: "Frank Ellermann" <[email-masked]>
> To: <[email-masked]>
> Sent: Tuesday, May 17, 2005 1:34 AM
> Subject: [Ltru] Re: [psg.com #985] Specify case rules for canonical tags
>

> "recanonicalize" the Suppress-Script output posted here.  Bye.
...

Frank: does the suggestion made in message
http://www.ietf.org/mail-archive/web/ltru/current/msg01755.html
(with the tweaks proposed in the followups) work for you?

Everyone else: would that be an acceptable resolution to this issue?

Randy, ltru co-chair

---

From: Frank Ellermann <[email-masked]>
Date: Wed, 18 May 2005 04:00:54 +0200

Randy Presuhn wrote:
 
> does the suggestion made in message

Yes, I checked i-*, no case of i-abcd with four letters.  Bye.